//Source file: D:/Projects/Isolde/parser/controller.java
import java.io.*;

//import FSParser.*;
//import slider.*;
//import domainModel.*;

public class controller
{
/*
    //    private static Parser fsParser;       // a finite state parser
    //    private static ParseFrame slider;     // the parser interface
    private static DmManager dmManager;   // the domain model
    private static XManager xManager;     // the XML reader/printer?

    public static void main(String[] args)
  {
    // make the models and the view
    dmManager = DmManager.getInstance();
    xManager = new XManager();
    xManager.setDmManager(dmManager);

    fsParser = new Parser(dmManager);
    slider = new ParseFrame();

    // Get the string to parse
    String inputValue="user save model";
    //String inputValue="save quickly model just created using stupid mouse used before from your home";
    //String inputValue="user hit quickly stick just created using stupid hammer";
    //String inputValue="manage room-control";
    // 	InputStreamReader isr = new InputStreamReader(System.in);
    // 	BufferedReader keyb = new BufferedReader(isr);
    // 	try {
    // 	    inputValue = keyb.readLine();
    // 	} catch (IOException e){
    // 	    System.err.println("problems reading the input");
    // 	}
    //	System.out.println("Parsing: " + inputValue);

    // Do the parse
    boolean returnCode = fsParser.parse(inputValue);
    System.out.println("return code: " + returnCode);

    // Present the parse in the slider
    slider.run(fsParser, xManager);
  }
*/
}
